"Fossies" - the Fresh Open Source Software Archive  

Source code changes of the file "maint.mk" between
bison-3.8.1.tar.xz and bison-3.8.2.tar.xz

About: Bison is a general-purpose parser generator.

maint.mk  (bison-3.8.1.tar.xz):maint.mk  (bison-3.8.2.tar.xz)
skipping to change at line 1034 skipping to change at line 1034
# Perl block to convert a match to FILE_NAME:LINENO:TEST, # Perl block to convert a match to FILE_NAME:LINENO:TEST,
# that is shared by two definitions below. # that is shared by two definitions below.
perl_filename_lineno_text_ = \ perl_filename_lineno_text_ = \
-e ' {' \ -e ' {' \
-e ' $$n = ($$` =~ tr/\n/\n/ + 1);' \ -e ' $$n = ($$` =~ tr/\n/\n/ + 1);' \
-e ' ($$v = $$&) =~ s/\n/\\n/g;' \ -e ' ($$v = $$&) =~ s/\n/\\n/g;' \
-e ' print "$$ARGV:$$n:$$v\n";' \ -e ' print "$$ARGV:$$n:$$v\n";' \
-e ' }' -e ' }'
prohibit_doubled_words_ = \ prohibit_doubled_words_ = \
the then in an on if is it but for or at and do to the then in an on if is it but for or at and do to can
# expand the regex before running the check to avoid using expensive captures # expand the regex before running the check to avoid using expensive captures
prohibit_doubled_word_expanded_ = \ prohibit_doubled_word_expanded_ = \
$(join $(prohibit_doubled_words_),$(addprefix \s+,$(prohibit_doubled_words_) )) $(join $(prohibit_doubled_words_),$(addprefix \s+,$(prohibit_doubled_words_) ))
prohibit_doubled_word_RE_ ?= \ prohibit_doubled_word_RE_ ?= \
/\b(?:$(subst $(_sp),|,$(prohibit_doubled_word_expanded_)))\b/gims /\b(?:$(subst $(_sp),|,$(prohibit_doubled_word_expanded_)))\b/gims
prohibit_doubled_word_ = \ prohibit_doubled_word_ = \
-e 'while ($(prohibit_doubled_word_RE_))' \ -e 'while ($(prohibit_doubled_word_RE_))' \
$(perl_filename_lineno_text_) $(perl_filename_lineno_text_)
# Define this to a regular expression that matches # Define this to a regular expression that matches
skipping to change at line 1633 skipping to change at line 1633
PODIR ?= po PODIR ?= po
refresh-po: refresh-po:
rm -f $(PODIR)/*.po && \ rm -f $(PODIR)/*.po && \
echo "$(ME): getting translations into po (please ignore the robots.txt E RROR 404)..." && \ echo "$(ME): getting translations into po (please ignore the robots.txt E RROR 404)..." && \
wget --no-verbose --directory-prefix $(PODIR) --no-directories --recursiv e --level 1 --accept .po --accept .po.1 $(POURL) && \ wget --no-verbose --directory-prefix $(PODIR) --no-directories --recursiv e --level 1 --accept .po --accept .po.1 $(POURL) && \
echo 'en@boldquot' > $(PODIR)/LINGUAS && \ echo 'en@boldquot' > $(PODIR)/LINGUAS && \
echo 'en@quot' >> $(PODIR)/LINGUAS && \ echo 'en@quot' >> $(PODIR)/LINGUAS && \
ls $(PODIR)/*.po | $(SED) 's/\.po//;s,$(PODIR)/,,' | \ ls $(PODIR)/*.po | $(SED) 's/\.po//;s,$(PODIR)/,,' | \
sort >> $(PODIR)/LINGUAS sort >> $(PODIR)/LINGUAS
# Running indent once is not idempotent, but running it twice is. # Indentation
indent_args ?= -ppi 1
C_SOURCES ?= $$($(VC_LIST_EXCEPT) | grep '\.[ch]\(.in\)\?$$')
INDENT_SOURCES ?= $(C_SOURCES) INDENT_SOURCES ?= $(C_SOURCES)
exclude_file_name_regexp--indent ?= $(exclude_file_name_regexp--sc_indent)
.PHONY: indent .PHONY: indent
indent: indent: # Running indent once is not idempotent, but running it twice is.
indent $(INDENT_SOURCES) $(AM_V_GEN)indent $(indent_args) $(INDENT_SOURCES) && \
indent $(INDENT_SOURCES) indent $(indent_args) $(INDENT_SOURCES)
sc_indent:
@if ! command -v indent > /dev/null; then \
echo 1>&2 '$(ME): sc_indent: indent is missing'; \
else \
fail=0; files="$(INDENT_SOURCES)"; \
for f in $$files; do \
indent $(indent_args) -st $$f \
| indent $(indent_args) -st - \
| diff -u $$f - || fail=1; \
done; \
test $$fail = 1 && \
{ echo 1>&2 '$(ME): code format error, try "make indent"'; \
exit 1; } || :; \
fi
# If you want to set UPDATE_COPYRIGHT_* environment variables, # If you want to set UPDATE_COPYRIGHT_* environment variables,
# put the assignments in this variable. # put the assignments in this variable.
update-copyright-env ?= update-copyright-env ?=
# Run this rule once per year (usually early in January) # Run this rule once per year (usually early in January)
# to update all FSF copyright year lists in your project. # to update all FSF copyright year lists in your project.
# If you have an additional project-specific rule, # If you have an additional project-specific rule,
# add it in cfg.mk along with a line 'update-copyright: prereq'. # add it in cfg.mk along with a line 'update-copyright: prereq'.
# By default, exclude all variants of COPYING; you can also # By default, exclude all variants of COPYING; you can also
 End of changes. 4 change blocks. 
5 lines changed or deleted 25 lines changed or added

Home  |  About  |  Features  |  All  |  Newest  |  Dox  |  Diffs  |  RSS Feeds  |  Screenshots  |  Comments  |  Imprint  |  Privacy  |  HTTP(S)